
package de.ivu.elect.business.ergebnis.boundary;

import de.ivu.elect.business.ergebnis.entity.Ergebnis;
import de.ivu.elect.business.ergebnis.entity.Stimmen;
import de.ivu.elect.business.ergebnis.entity.StimmenPK;

@javax.ejb.Stateless
public class StimmenEdit extends AbstractStimmenEdit {

  public void saveAnzahlToEntity(StimmenPK entityPk, Long anzahl) {
    Stimmen entity = extendedDao.findByPrimaryKey(entityPk);
    entity.setAnzahl(anzahl);
    super.save(entity);
  }

  public void deleteByErgebnis(Ergebnis ergebnis) {
    dao.deleteByErgebnis(ergebnis);
  }

}
